typelib-1_0-Xkl-1_0-5.3-48.36.i586.rpm


Advertisement

Description

typelib-1_0-Xkl-1_0 - Introspection bindings for libxklavier

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory x86_64 + i586
Package filename typelib-1_0-Xkl-1_0-5.3-48.36.i586.rpm
Package name typelib-1_0-Xkl-1_0
Package version 5.3
Package release 48.36
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.freedesktop.org/Software/LibXklavier
License LGPL-2.0-or-later
Maintainer -
Download size 17.88 KB
Installed size 12.48 KB
This library allows you to simplify XKB-related development.
This package provides the GObject Introspection bindings for
libxklavier.

Alternatives

Package Version Architecture Repository
typelib-1_0-Xkl-1_0-5.3-54.40.i586.rpm 5.3 i586 GNOME Next
typelib-1_0-Xkl-1_0-5.3-54.40.x86_64.rpm 5.3 x86_64 GNOME Next
typelib-1_0-Xkl-1_0-5.3-48.30.x86_64.rpm 5.3 x86_64 GNOME Factory
typelib-1_0-Xkl-1_0-5.3-10.7.i586.rpm 5.3 i586 openSUSE Oss
typelib-1_0-Xkl-1_0-5.3-10.7.x86_64.rpm 5.3 x86_64 openSUSE Oss
typelib-1_0-Xkl-1_0 - - -

Requires

Name Value
libxklavier.so.16 -
typelib(GLib) = 2.0
typelib(GObject) = 2.0
typelib(xlib) = 2.0

Provides

Name Value
typelib(Xkl) = 1.0
typelib-1_0-Xkl-1_0 = 5.3-48.36
typelib-1_0-Xkl-1_0(x86-32) = 5.3-48.36

Download

Type URL
Mirror widehat.opensuse.org
Binary Package typelib-1_0-Xkl-1_0-5.3-48.36.i586.rpm
Source Package libxklavier-5.3-48.36.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install typelib-1_0-Xkl-1_0 rpm package:
    # zypper install typelib-1_0-Xkl-1_0

Files

Path
/usr/lib/girepository-1.0/Xkl-1.0.typelib

Changelog

2018-03-05 - jengelh@inai.de
- Fix RPM groups. Update summaries. Remove --with-pic.
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2016-02-01 - dimstar@opensuse.org
- Pass --with-xkb-bin-base=%{_bindir} to configure: we know that
xkbcomp is installed there (boo#964360).
- Add xkbcomp Requires to libxklavier16: the xkbcomp binary is
required for proper functioning of the library.
2014-10-18 - crrodriguez@opensuse.org
- Discontinue the use of xorg-x11-devel metapackage, just
buildrequire pkgconfig(xi), pkgconfig(x11), pkgconfig(xkbfile).
2012-09-24 - dimstar@opensuse.org
- Update to version 5.3:
+  A number of introspection and build fixes.
2012-02-16 - dimstar@opensuse.org
- Update to version 5.2.1:
+ Fixed GIR params for introspection (broken build)
- Remove xz BuildRequires now that it comes for free in the build
system.
- Drop libxklavier-fix-gir-build.patch: fixed upstream.
- Change glib2-devel and libxml2-devel BuildRequires to their
pkgconfig() equivalents: glib-2.0 and libxml-2.0.
- Clean spec file using spec-cleaner.
2012-01-26 - vuntz@opensuse.org
- license update: LGPL-2.0+
No indication of GPL-2.0+ tools or utilities (apart from
configure, etc.)
2012-01-18 - vuntz@opensuse.org
- Update to version 5.2:
+ Optional introspection introduced
+ Some minor fixes (runtime and build-time)
- Add xz BuildRequires because we can't build a package for a
xz-compressed tarball without explicitly specifying that... See
bnc#697467 for more details.
- Add gobject-introspection-devel BuildRequires to build
introspection support.
- Add libxklavier-fix-gir-build.patch to fix build of introspection
support.
- Create typelib-1_0-Xkl-1_0 subpackage for typelib file.
- Add typelib-1_0-Xkl-1_0 Requires to devel subpackage.
- Remove glib2-devel and libxml2-devel Requires from devel
subpackage: they will automatically be added the pkgconfig() way.
- Remove Requires for the XFree86-devel provider from devel
subpackage: it's not needed according to the pkgconfig file.
- Change group of libxklavier16 from Development/Libraries/X11 to
System/Libraries.
2011-10-06 - vuntz@opensuse.org
- Add iso-codes Requires to libxklavier16 since the iso-codes data
is used at runtime.
2011-04-19 - ro@suse.de
- Update baselibs.conf (libxklavier16 instead of libxklavier12)

See Also

Package Description
typelib-1_0-Zeitgeist-2_0-1.0.2-82.30.x86_64.rpm Introspection bindings for Zeitgeist client library
typelib-1_0-Zeitgeist-2_0-1.0.2-82.35.i586.rpm Introspection bindings for Zeitgeist client library
typelib-1_0-Zpj-0_0-0.0.3-14.25.x86_64.rpm Library for the SkyDrive and Hotmail REST APIs -- Introspection bindings
typelib-1_0-Zpj-0_0-0.0.3-14.26.i586.rpm Library for the SkyDrive and Hotmail REST APIs -- Introspection bindings
typelib-1_0-libdazzle-1_0-3.34.1-43.2.x86_64.rpm Collection of fancy features for GLib and Gtk+ -- Introspection bindings
typelib-1_0-libdazzle-1_0-3.34.1-43.7.i586.rpm Collection of fancy features for GLib and Gtk+ -- Introspection bindings
udev-configure-printer-1.5.7-221.5.x86_64.rpm Utility to autoconfigure printers when plugged
udev-configure-printer-1.5.7-224.1.i586.rpm Utility to autoconfigure printers when plugged
uhttpmock-devel-0.5.1-15.16.x86_64.rpm Development files for uhttpmock
uhttpmock-devel-0.5.1-15.19.i586.rpm Development files for uhttpmock
vala-0.46.5-215.1.x86_64.rpm Programming language for GNOME
vala-0.46.6-216.1.i586.rpm Programming language for GNOME
valadoc-0.46.5-215.1.x86_64.rpm Generator for API documentation from Vala source
valadoc-0.46.6-216.1.i586.rpm Generator for API documentation from Vala source
valadoc-doclet-devhelp-0.46.5-215.1.x86_64.rpm Devhelp plugin for the valadoc generator
Advertisement
Advertisement